@article{gomes2017survey,
  title={A survey on ensemble learning for data stream classification},
  author={Gomes, Heitor Murilo and Barddal, Jean Paul and Enembreck, Fabr{\'\i}cio and Bifet, Albert},
  journal={ACM Computing Surveys (CSUR)},
  volume={50},
  number={2},
  pages={1--36},
  year={2017},
  publisher={ACM New York, NY, USA}
}

@inproceedings{margineantu1997pruning,
  title={Pruning adaptive boosting},
  author={Margineantu, Dragos D and Dietterich, Thomas G},
  booktitle={ICML},
  volume={97},
  pages={211--218},
  year={1997},
  organization={Citeseer}
}

@article{skmultiflow,
  author  = {Jacob Montiel and Jesse Read and Albert Bifet and Talel Abdessalem},
  title   = {Scikit-Multiflow: A Multi-output Streaming Framework },
  journal = {Journal of Machine Learning Research},
  year    = {2018},
  volume  = {19},
  number  = {72},
  pages   = {1-5},
  url     = {http://jmlr.org/papers/v19/18-251.html}
}

@inproceedings{sea,
  author = {Street, Nick and Kim, YongSeog},
  year = {2001},
  month = {07},
  pages = {377-382},
  title = {A Streaming Ensemble Algorithm (SEA) for Large-Scale Classification},
  doi = {10.1145/502512.502568}
}

@article{AbbaszadehOmid2015Aemf,
  issn = {2095-9184},
  abstract = {One recent area of interest in computer science is data stream management and processing. By ‘data stream’, we refer to continuous and rapidly generated packages of data. Specific features of data streams are immense volume, high production rate, limited data processing time, and data concept drift; these features differentiate the data stream from standard types of data. An issue for the data stream is classification of input data. A novel ensemble classifier is proposed in this paper. The classifier uses base classifiers of two weighting functions under different data input conditions. In addition, a new method is used to determine drift, which emphasizes the precision of the algorithm. Another characteristic of the proposed method is removal of different numbers of the base classifiers based on their quality. Implementation of a weighting mechanism to the base classifiers at the decision-making stage is another advantage of the algorithm. This facilitates adaptability when drifts take place, which leads to classifiers with higher efficiency. Furthermore, the proposed method is tested on a set of standard data and the results confirm higher accuracy compared to available ensemble classifiers and single classifiers. In addition, in some cases the proposed classifier is faster and needs less storage space.},
  journal = {Frontiers of Information Technology & Electronic Engineering},
  pages = {1059--1068},
  volume = {16},
  publisher = {Zhejiang University Press},
  number = {12},
  year = {2015},
  title = {An ensemble method for data stream classification in the presence of concept drift},
  language = {eng},
  address = {Hangzhou},
  author = {Abbaszadeh, Omid and Amiri, Ali and Khanteymoori, Ali},
  keywords = {Data stream ; Classificaion ; Ensemble classifiers ; Concept drift},
}

@misc{BifetAlbert2010Nemf,
  publisher = {ACM},
  year = {2009},
  title = {New ensemble methods for evolving data streams},
  copyright = {This is an author’s accepted version of an article published in Proceedings of the 15th ACM SIGKDD international conference on Knowledge discovery and data mining. © 2009 ACM.},
  author = {Bifet, Albert and Holmes, Geoffrey and Pfahringer, Bernhard and Kirkby, Richard Brendon and Gavaldà, Ricard},
  keywords = {computer science; concept drift; data streams; decision trees; decision trees; Machine learning},
}

@Misc{numpy,
  author =    {Travis Oliphant},
  title =     {{NumPy}: A guide to {NumPy}},
  year =      {2006},
  howpublished = {USA: Trelgol Publishing},
  url = "http://www.numpy.org/",
}
@article{Cohen1960,
    abstract = {A coefficient of interjudge agreement for nominal scales, formula-omitted, is presented. It is directly interpretable as the pro-portion of joint judgments in which there is agreement, after chance agreement is excluded. Its upper limit is +1.00, and its lower limit falls between zero and -1.00, depending on the distribution of judgments by the two judges. The maximum value which x can take for any given problem is given, and the implications of this value to the question of agreement discussed. An interesting characteristic of x is its identity with 0 in the dichotomous case when the judges give the same marginal distributions. Finally, its standard error and techniques for estimation and hypothesis testing are presented. {\textcopyright} 1960, Sage Publications. All rights reserved.},
    author = {Cohen, Jacob},
    doi = {10.1177/001316446002000104},
    file = {:Users/huangdong/Documents/papers-unsorted/cohen1960.pdf:pdf},
    issn = {15523888},
    journal = {Educ. Psychol. Meas.},
    number = {1},
    pages = {37--46},
    title = {{A Coefficient of Agreement for Nominal Scales}},
    volume = {20},
    year = {1960}
}